Get outbound webhook delivery
Get a single outbound webhook delivery by ID
GET
/v1/outbound-webhook/deliveries/{id}
Get a single outbound webhook delivery by ID
Path Parameters
id
string
required
path
Delivery ID
Request Body
application/jsonResponses
200
OK
application/jsoncode
integer
data
object
createdAt
string
durationMs
integer
errorMessage
string
id
string
maxRetries
integer
method
string
nextRetryAt
string
nodeId
string
organizationId
string
requestBody
object
requestHeaders
object
responseBody
string
responseHeaders
object
responseStatus
integer
retryCount
integer
runId
string
status
string
Enum:
pending, success, failure, retryingupdatedAt
string
url
string
workflowId
string
message
string
requestId
string
403
Forbidden
404
Not Found
curl -X GET 'https://api.example.com/v1/outbound-webhook/deliveries/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/outbound-webhook/deliveries/string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/outbound-webhook/deliveries/string', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("GET", "https://api.example.com/v1/outbound-webhook/deliveries/string", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "createdAt": "<string>", "durationMs": 123, "errorMessage": "<string>", "id": "<string>", "maxRetries": 123, "method": "<string>", "nextRetryAt": "<string>", "nodeId": "<string>", "organizationId": "<string>", "requestBody": "<object>", "requestHeaders": "<object>", "responseBody": "<string>", "responseHeaders": "<object>", "responseStatus": 123, "retryCount": 123, "runId": "<string>", "status": "pending", "updatedAt": "<string>", "url": "<string>", "workflowId": "<string>" }, "message": "Success", "requestId": "req_abc123"}
API Playground
Try this endpoint
GET
/v1/outbound-webhook/deliveries/{id}
